## geos 3.9.1

=== CMakeLists.txt ===
##############################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018-2019 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
##############################################################################

# Require CMake 3.8+ with support for meta-features that request compiler
# modes for specific C/C++ language standard levels.
cmake_minimum_required(VERSION 3.8)

# Default to release build so packagers don't release debug builds
set(DEFAULT_BUILD_TYPE Release)

# Require CMake 3.13+ with VS generator for complete support of VS versions
# and support by AppVeyor.
if(${CMAKE_GENERATOR} MATCHES "Visual Studio")
  cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# TODO: Follow CMake detection of git and version tagging
#       https://gitlab.kitware.com/cmake/cmake/blob/master/Source/CMakeVersionSource.cmake
if(EXISTS ${CMAKE_SOURCE_DIR}/.git/HEAD)
  set(GEOS_BUILD_FROM_GIT ON)
endif()

# Make sure we know our build type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${DEFAULT_BUILD_TYPE})
  message(STATUS "GEOS: Using default build type: ${CMAKE_BUILD_TYPE}")
else()
  message(STATUS "GEOS: Build type: ${CMAKE_BUILD_TYPE}")
endif()

#-----------------------------------------------------------------------------
# Options
#-----------------------------------------------------------------------------
include(CMakeDependentOption)

## CMake global variables
option(BUILD_SHARED_LIBS "Build GEOS with shared libraries" ON)
set(CMAKE_CXX_STANDARD 11 CACHE STRING "C++ standard version to use (default is 11)")

## GEOS custom variables
option(BUILD_BENCHMARKS "Build GEOS benchmarks" ON)
cmake_dependent_option(GEOS_BUILD_DEVELOPER
  "Build with compilation flags useful for development" ON
  "GEOS_BUILD_FROM_GIT" OFF)
mark_as_advanced(GEOS_BUILD_DEVELOPER)

if (POLICY CMP0092)
  # dont set /W3 warning flags by default, we already
  # set /W4 anyway
  cmake_policy(SET CMP0092 NEW)
endif()

#-----------------------------------------------------------------------------
# Setup build directories
#-----------------------------------------------------------------------------
# Place executables and shared libraries in the same location for
# convenience of direct execution from common spot and for
# convenience in environments without RPATH support.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
message(STATUS "GEOS: Run-time output: ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
message(STATUS "GEOS: Archives output: ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")

#-----------------------------------------------------------------------------
# Version
#-----------------------------------------------------------------------------
file(READ Version.txt _version_txt)

string(REGEX MATCH "GEOS_VERSION_MAJOR=([0-9]+)" _ ${_version_txt})
set(_version_major ${CMAKE_MATCH_1})
string(REGEX MATCH "GEOS_VERSION_MINOR=([0-9]+)" _ ${_version_txt})
set(_version_minor ${CMAKE_MATCH_1})
string(REGEX MATCH "GEOS_VERSION_PATCH=([0-9]+)" _ ${_version_txt})
set(_version_patch ${CMAKE_MATCH_1})
# OPTIONS: "", "dev", "rc1" etc.
string(REGEX MATCH "GEOS_PATCH_WORD=([a-zA-Z0-9]+)" _ ${_version_txt})
set(_version_patch_word ${CMAKE_MATCH_1})

# Version of JTS this release is bound to
string(REGEX MATCH "JTS_PORT=([0-9a-zA-Z\.]+)" _ ${_version_txt})
set(JTS_PORT ${CMAKE_MATCH_1})

# Version of public C API
string(REGEX MATCH "CAPI_INTERFACE_CURRENT=([0-9]+)" _ ${_version_txt})
set(_version_capi_current ${CMAKE_MATCH_1})
string(REGEX MATCH "CAPI_INTERFACE_REVISION=([0-9]+)" _ ${_version_txt})
set(_version_capi_revision ${CMAKE_MATCH_1})
string(REGEX MATCH "CAPI_INTERFACE_AGE=([0-9]+)" _ ${_version_txt})
set(_version_capi_age ${CMAKE_MATCH_1})

unset(_version_txt)

math(EXPR _version_capi_major "${_version_capi_current} - ${_version_capi_age}")
set(CAPI_VERSION_MAJOR ${_version_capi_major})
set(CAPI_VERSION_MINOR ${_version_capi_age})
set(CAPI_VERSION_PATCH ${_version_capi_revision})
set(CAPI_VERSION "${_version_capi_major}.${_version_capi_age}.${_version_capi_revision}")

unset(_version_capi_current)
unset(_version_capi_major)
unset(_version_capi_age)
unset(_version_capi_revision)

#-----------------------------------------------------------------------------
# Project
#-----------------------------------------------------------------------------
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
  list(APPEND _project_info DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)")
endif()
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
  list(APPEND _project_info HOMEPAGE_URL "http://geos.osgeo.org")
endif()

project(GEOS VERSION "${_version_major}.${_version_minor}.${_version_patch}"
  LANGUAGES C CXX
  ${_project_info})

if(NOT "${_version_patch_word}" STREQUAL "")
  # Re-write VERSION variables after project()
  set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
  set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
endif()

unset(_version_major)
unset(_version_minor)
unset(_version_patch)
unset(_version_patch_word)

message(STATUS "GEOS: Version ${GEOS_VERSION}")
message(STATUS "GEOS: C API Version ${CAPI_VERSION}")
message(STATUS "GEOS: JTS port ${JTS_PORT}")

#-----------------------------------------------------------------------------
# C++ language version and compilation flags
#-----------------------------------------------------------------------------
message(STATUS "GEOS: Require C++${CMAKE_CXX_STANDARD}")
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

#-----------------------------------------------------------------------------
# Target geos_cxx_flags: common compilation flags
#-----------------------------------------------------------------------------
add_library(geos_cxx_flags INTERFACE)
target_compile_features(geos_cxx_flags INTERFACE cxx_std_11)

#-----------------------------------------------------------------------------
# Add flags to prevent 'fused multiply-add' operations on targets (ARM64)
# that allow it, as it breaks calculations in DD.cpp.
# TODO: Replace DD calculations with 'long float' where target supports
# true long float, and remove other cases where FMA causes regression
# failures.
#   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98207
#-----------------------------------------------------------------------------

target_compile_options(geos_cxx_flags INTERFACE
	"$<$<CXX_COMPILER_ID:Clang>:-ffp-contract=off>"
	"$<$<CXX_COMPILER_ID:GNU>:-ffp-contract=off>"
	"$<$<CXX_COMPILER_ID:MSVC>:/fp:precise>"
	)

#-----------------------------------------------------------------------------
# Target geos_cxx_flags: common compilation flags
#-----------------------------------------------------------------------------
option(DISABLE_GEOS_INLINE "Disable inlining" OFF)
if(NOT DISABLE_GEOS_INLINE)
  target_compile_definitions(geos_cxx_flags INTERFACE GEOS_INLINE)
  message(STATUS
    "GEOS: Function inlining ENABLED")
else()
  message(STATUS
    "GEOS: Function inlining DISABLED")
endif()

#-----------------------------------------------------------------------------
# Target geos_cxx_flags: overlayng code
#-----------------------------------------------------------------------------
#option(DISABLE_OVERLAYNG "Disable overlayng algorithms" OFF)
#if(DISABLE_OVERLAYNG)
#  target_compile_definitions(geos_cxx_flags INTERFACE DISABLE_OVERLAYNG)
#  message(STATUS
#    "GEOS: OverlayNG DISABLED")
#else()
#  message(STATUS
#    "GEOS: OverlayNG ENABLED")
#endif()

#-----------------------------------------------------------------------------
# Target geos_developer_cxx_flags: developer mode compilation flags
#-----------------------------------------------------------------------------
# Do NOT install this target for end-users!
add_library(geos_developer_cxx_flags INTERFACE)

if(GEOS_BUILD_DEVELOPER)
  message(STATUS "GEOS: Developer mode ENABLED")
endif()

# geos_cxx_flags inherits properties from geos_developer_cxx_flags when
# building as part of the GEOS repository or on explicit request for
# developer compilation mode, as GEOS contributor.
# The flags are intended only for GEOS itself and are not part of
# usage requirements needed by GEOS consumers.
if(GEOS_BUILD_DEVELOPER)
  target_link_libraries(geos_cxx_flags
    INTERFACE
      $<BUILD_INTERFACE:geos_developer_cxx_flags>)
endif()

target_compile_definitions(geos_cxx_flags
  INTERFACE
    USE_UNSTABLE_GEOS_CPP_API)

target_compile_definitions(geos_developer_cxx_flags
  INTERFACE
    $<$<CXX_COMPILER_ID:MSVC>:_CRT_NONSTDC_NO_DEPRECATE>
    $<$<CXX_COMPILER_ID:MSVC>:_SCL_SECURE_NO_DEPRECATE>
    $<$<CXX_COMPILER_ID:MSVC>:_CRT_SECURE_NO_WARNINGS>
    $<$<CXX_COMPILER_ID:MSVC>:NOMINMAX>)

target_compile_options(geos_developer_cxx_flags
  INTERFACE
    $<$<CXX_COMPILER_ID:MSVC>:-W4>
    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>>:-pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates>)

#-----------------------------------------------------------------------------
# Define a coverage build
#-----------------------------------------------------------------------------
set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")

#-----------------------------------------------------------------------------
# Target geos: C++ API library
#-----------------------------------------------------------------------------
add_library(geos "")
target_link_libraries(geos PUBLIC geos_cxx_flags)
add_subdirectory(include)
add_subdirectory(src)

if(BUILD_SHARED_LIBS)
  target_compile_definitions(geos
    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)

  set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION})
  set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION})
endif()

#-----------------------------------------------------------------------------
# Target geos_c: C API library
#-----------------------------------------------------------------------------
add_library(geos_c "")
target_link_libraries(geos_c PRIVATE geos)

if(BUILD_SHARED_LIBS)
  target_compile_definitions(geos_c
    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)

  set_target_properties(geos_c PROPERTIES VERSION ${CAPI_VERSION})
  if(NOT WIN32)
    set_target_properties(geos_c PROPERTIES SOVERSION ${CAPI_VERSION_MAJOR})
  endif()
endif()

add_subdirectory(capi)

#-----------------------------------------------------------------------------
# Tests
#-----------------------------------------------------------------------------
include(CTest)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

#-----------------------------------------------------------------------------
# Benchmarks
#-----------------------------------------------------------------------------
if(BUILD_BENCHMARKS)
  add_subdirectory(benchmarks)
endif()

#-----------------------------------------------------------------------------
# Documentation/Examples
#-----------------------------------------------------------------------------
add_subdirectory(doc)

#-----------------------------------------------------------------------------
# Install and export targets - support 'make install' or equivalent
#-----------------------------------------------------------------------------
include(CMakePackageConfigHelpers)

write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/geos-config-version.cmake"
  VERSION ${GEOS_VERSION}
  COMPATIBILITY AnyNewerVersion)

=== debian/changelog ===
geos (3.9.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 17:49:39 +0200

geos (3.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Feb 2021 05:47:10 +0100

=== debian/control ===
Source: geos
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               doxygen,
               pkg-kde-tools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
Homepage: https://trac.osgeo.org/geos/

Package: libgeos-dev
Architecture: any
Section: libdevel
Depends: libgeos-c1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS.

Package: libgeos++-dev
Architecture: any
Section: libdevel
Depends: libgeos-3.9.1 (= ${binary:Version}),
         libgeos-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgeos-dev (<< 3.3.1-1~)
Description: Geometry engine for GIS - C++ development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS in C++. Note that third-parties
 programs should use the stable C API instead of the
 unstable C++ one.

Package: libgeos-c1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-c1 (<< 3.4.2-8~)
Replaces: libgeos-c1 (<< 3.4.2-8~)
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library. A C++ library is provided
 by the libgeos-* package.

Package: libgeos-3.9.1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A stable C library is provided
 by the libgeos-c* package and should be preferred by third-parties
 programs.

Package: libgeos-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

## geos 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # See the COPYING file for more information.
 ##############################################################################
 
-# Require CMake 3.8+ with support for meta-features that request compiler
-# modes for specific C/C++ language standard levels.
-cmake_minimum_required(VERSION 3.8)
+# Require CMake 3.13+ with support for meta-features that request compiler
+# modes for specific C/C++ language standard levels, and object libraries.
+cmake_minimum_required(VERSION 3.13)
 
 # Default to release build so packagers don't release debug builds
 set(DEFAULT_BUILD_TYPE Release)
@@ -26,7 +26,7 @@
 
 # TODO: Follow CMake detection of git and version tagging
 #       https://gitlab.kitware.com/cmake/cmake/blob/master/Source/CMakeVersionSource.cmake
-if(EXISTS ${CMAKE_SOURCE_DIR}/.git/HEAD)
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
   set(GEOS_BUILD_FROM_GIT ON)
 endif()
 
@@ -48,7 +48,7 @@
 set(CMAKE_CXX_STANDARD 11 CACHE STRING "C++ standard version to use (default is 11)")
 
 ## GEOS custom variables
-option(BUILD_BENCHMARKS "Build GEOS benchmarks" ON)
+option(BUILD_BENCHMARKS "Build GEOS benchmarks" OFF)
 cmake_dependent_option(GEOS_BUILD_DEVELOPER
   "Build with compilation flags useful for development" ON
   "GEOS_BUILD_FROM_GIT" OFF)
@@ -131,6 +131,7 @@
   set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
   set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
 endif()
+set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 
 unset(_version_major)
 unset(_version_minor)
@@ -140,6 +141,13 @@
 message(STATUS "GEOS: Version ${GEOS_VERSION}")
 message(STATUS "GEOS: C API Version ${CAPI_VERSION}")
 message(STATUS "GEOS: JTS port ${JTS_PORT}")
+
+#-----------------------------------------------------------------------------
+# Install directories
+#-----------------------------------------------------------------------------
+
+include(GNUInstallDirs)
+include(CMakePackageConfigHelpers)
 
 #-----------------------------------------------------------------------------
 # C++ language version and compilation flags
@@ -164,10 +172,15 @@
 #-----------------------------------------------------------------------------
 
 target_compile_options(geos_cxx_flags INTERFACE
-	"$<$<CXX_COMPILER_ID:Clang>:-ffp-contract=off>"
+	"$<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-ffp-contract=off>"
 	"$<$<CXX_COMPILER_ID:GNU>:-ffp-contract=off>"
 	"$<$<CXX_COMPILER_ID:MSVC>:/fp:precise>"
 	)
+
+# Use -ffloat-store for 32-bit builds (needed to make some tests pass)
+target_compile_options(geos_cxx_flags INTERFACE
+  $<$<AND:$<CXX_COMPILER_ID:GNU>,$<EQUAL:4,${CMAKE_SIZEOF_VOID_P}>>:-ffloat-store>
+)
 
 #-----------------------------------------------------------------------------
 # Target geos_cxx_flags: common compilation flags
@@ -181,6 +194,11 @@
   message(STATUS
     "GEOS: Function inlining DISABLED")
 endif()
+
+# Make sure NDEBUG is defined so that assert() is disabled for
+# any non-debug build. Use a generator expression so that this
+# works with multi-configuration generators.
+target_compile_definitions(geos_cxx_flags INTERFACE $<$<NOT:$<CONFIG:Debug>>:NDEBUG>)
 
 #-----------------------------------------------------------------------------
 # Target geos_cxx_flags: overlayng code
@@ -230,8 +248,10 @@
 target_compile_options(geos_developer_cxx_flags
   INTERFACE
     $<$<CXX_COMPILER_ID:MSVC>:-W4>
-    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>>:-pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
-    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates>)
+    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Werror -pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
+    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates -Wno-psabi>
+    $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Wno-unknown-warning-option>
+    )
 
 #-----------------------------------------------------------------------------
 # Define a coverage build
@@ -239,10 +259,18 @@
 set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")
 
 #-----------------------------------------------------------------------------
+# Extra libraries
+#-----------------------------------------------------------------------------
+include(CheckLibraryExists)
+check_library_exists(m pow "" HAVE_LIBM)
+
+#-----------------------------------------------------------------------------
 # Target geos: C++ API library
 #-----------------------------------------------------------------------------
 add_library(geos "")
-target_link_libraries(geos PUBLIC geos_cxx_flags)
+target_link_libraries(geos PUBLIC geos_cxx_flags PRIVATE $<BUILD_INTERFACE:ryu>)
+# ryu is an object library, nothing is actually being linked here. The BUILD_INTERFACE
+# switch was necessary to build on AppVeyor (CMake 3.16.2) but not locally (CMake 3.16.3)
 add_subdirectory(include)
 add_subdirectory(src)
 
@@ -250,55 +278,11 @@
   target_compile_definitions(geos
     PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
 
-  set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION})
-  set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION})
+  set_target_properties(geos PROPERTIES VERSION ${GEOS_VERSION_NOPATCH})
+  set_target_properties(geos PROPERTIES SOVERSION ${GEOS_VERSION_NOPATCH})
 endif()
 
 #-----------------------------------------------------------------------------
 # Target geos_c: C API library
 #-----------------------------------------------------------------------------
 add_library(geos_c "")
-target_link_libraries(geos_c PRIVATE geos)
-
-if(BUILD_SHARED_LIBS)
-  target_compile_definitions(geos_c
-    PRIVATE $<IF:$<CXX_COMPILER_ID:MSVC>,GEOS_DLL_EXPORT,DLL_EXPORT>)
-
-  set_target_properties(geos_c PROPERTIES VERSION ${CAPI_VERSION})
-  if(NOT WIN32)
-    set_target_properties(geos_c PROPERTIES SOVERSION ${CAPI_VERSION_MAJOR})
-  endif()
-endif()
-
-add_subdirectory(capi)
-
-#-----------------------------------------------------------------------------
-# Tests
-#-----------------------------------------------------------------------------
-include(CTest)
-if(BUILD_TESTING)
-  add_subdirectory(tests)
-endif()
-
-#-----------------------------------------------------------------------------
-# Benchmarks
-#-----------------------------------------------------------------------------
-if(BUILD_BENCHMARKS)
-  add_subdirectory(benchmarks)
-endif()
-
-#-----------------------------------------------------------------------------
-# Documentation/Examples
-#-----------------------------------------------------------------------------
-add_subdirectory(doc)
-
-#-----------------------------------------------------------------------------
-# Install and export targets - support 'make install' or equivalent
-#-----------------------------------------------------------------------------
-include(CMakePackageConfigHelpers)
-
-write_basic_package_version_file(
-  "${CMAKE_CURRENT_BINARY_DIR}/geos-config-version.cmake"
-  VERSION ${GEOS_VERSION}
-  COMPATIBILITY AnyNewerVersion)
-

=== debian/changelog ===
geos (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update 3.10.0~rc3 symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 05:56:56 +0200

geos (3.10.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc2 symbols for other architectures.
  * Update 3.10.0~rc3 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Oct 2021 06:24:10 +0200

geos (3.10.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~rc1 symbols for other architectures.
  * Explicitly use cmake buildsystem to not use configure script.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Oct 2021 08:35:02 +0200

geos (3.10.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update 3.10.0~beta3 symbols for other architectures.
  * Update 3.10.0~rc1 symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Oct 2021 05:53:35 +0200

geos (3.10.0~beta3-1~exp2) experimental; urgency=medium

  * Don't use rules to install docs & examples.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:27:07 +0200

geos (3.10.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Oct 2021 20:39:47 +0200

geos (3.10.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * Drop patches, applied/included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Oct 2021 07:37:08 +0200

geos (3.10.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update copyright file.
  * Add patch to not include pre-release in SONAME.
  * Rename library package for SONAME bump.
  * Add patch to disable test_docs, causes FTBFS.
  * Switch from autotools to cmake.
  * Add geos-bin package for geosop.
  * Add patch to fix spelling errors.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Oct 2021 11:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -29,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.9.1 (= ${binary:Version}),
+Depends: libgeos3.10.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -66,10 +67,9 @@
    * area and distance functions, and
    * topological validity checking
  .
- This package contains the C library. A C++ library is provided
- by the libgeos-* package.
+ This package contains the C library.
 
-Package: libgeos-3.9.1
+Package: libgeos3.10.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -105,3 +105,24 @@
  OpenGIS Consortium Simple Features Specification for SQL.
  .
  This package contains the documentation for the GEOS API.
+
+Package: geos-bin
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Geometry engine for Geographic Information Systems - Utilities
+ GEOS provides a spatial object model and fundamental geometric
+ functions. It implements the geometry model defined in the
+ OpenGIS Consortium Simple Features Specification for SQL.
+ Functions provided include:
+ .
+   * spatial predicates (based on the DE-9IM model),
+   * overlay functions (intersection, difference, union,
+     symmetric difference),
+   * buffer,
+   * convex hull,
+   * area and distance functions, and
+   * topological validity checking
+ .
+ This package contains the utilities.

## geos 3.10.1

=== debian/changelog ===
geos (3.10.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Nov 2021 18:59:04 +0100

geos (3.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Nov 2021 05:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.0 (= ${binary:Version}),
+Depends: libgeos3.10.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.0
+Package: libgeos3.10.1
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# testrunner fails on some architectures
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export DEB_CXXFLAGS_MAINT_PREPEND=-fpermissive

%:
	dh $@ --with pkgkde_symbolshelper --builddirectory=build --buildsystem=cmake

override_dh_clean:
	dh_clean debian/libgeos++-dev.install

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOCUMENTATION=ON

override_dh_auto_build:
	dh_auto_build

	$(MAKE) -C build docs

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 armel armhf mips mips64el mipsel ppc64el s390x alpha hppa ia64 powerpc ppc64 riscv64 sparc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:
	# add C++ headers to C++ dev package install file
	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
	find debian/tmp/usr/include/geos -name "*.h" -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install

	# Don't install geos.h & .inl files
	rm -f debian/tmp/usr/include/geos.h
	find debian/tmp/usr/include/geos -name "*.inl" -delete

	# Remove .asm files
	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm

	# Remove .la files
	find debian/tmp/usr/lib -name '*.la' -delete

	dh_install

override_dh_installman:
	dh_installman -plibgeos-dev debian/geos-config.1

override_dh_strip:
	dh_strip --dbgsym-migration='libgeos-dbg (<< 3.5.1-4~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0

## geos 3.10.2

=== examples/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################
cmake_minimum_required(VERSION 3.12)

project(GEOS VERSION 1.0.0 LANGUAGES C CXX)
find_package(GEOS 3.9 REQUIRED)

add_executable(cpp_read cpp_read.cpp)
target_link_libraries(cpp_read PRIVATE GEOS::geos)

add_executable(capi_read capi_read.c)
target_link_libraries(capi_read PRIVATE GEOS::geos_c)

add_executable(capi_prepared capi_prepared.c)
target_link_libraries(capi_prepared PRIVATE GEOS::geos_c)

add_executable(capi_strtree capi_strtree.c)
target_link_libraries(capi_strtree PRIVATE GEOS::geos_c)

add_executable(capi_read_ts capi_read_ts.c)
target_link_libraries(capi_read_ts PRIVATE GEOS::geos_c)

=== benchmarks/capi/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################
add_executable(perf_memleak_mp_prep memleak_mp_prep.c)
# test_perf_memleak_mp_prep is not dependant against geos target,
# but geos_c only, so need explicit include directories.
target_include_directories(perf_memleak_mp_prep
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>)
target_link_libraries(perf_memleak_mp_prep PRIVATE geos_c)

add_executable(perf_geospreparedcontains GEOSPreparedContainsPerfTest.cpp)
target_link_libraries(perf_geospreparedcontains PRIVATE geos geos_c)

add_executable(perf_intersection IntersectionPerfTest.cpp)
target_link_libraries(perf_intersection PRIVATE geos geos_c)

add_executable(perf_unary UnaryOpPerfTest.cpp)
target_link_libraries(perf_unary PRIVATE geos geos_c)

if(benchmark_FOUND)
    add_executable(perf_capi_coordseq GEOSCoordSeqPerfTest.cpp)
    target_include_directories(perf_capi_coordseq PUBLIC
            $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>)
    target_link_libraries(perf_capi_coordseq PRIVATE
            benchmark::benchmark geos_c)
endif()

=== benchmarks/algorithm/locate/CMakeLists.txt ===
#################################################################################
#
# CMake configuration for GEOS benchmarks/operation/predicate tests
#
# Copyright (C) 2017 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
#
#################################################################################

if (benchmark_FOUND)
    add_executable(perf_indexed_point_in_area_locator IndexedPointInAreaLocatorPerfTest.cpp)
    target_include_directories(perf_indexed_point_in_area_locator PUBLIC
            $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>)
    target_link_libraries(perf_indexed_point_in_area_locator PRIVATE
            benchmark::benchmark geos)
endif()

=== debian/changelog ===
geos (3.10.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jan 2022 15:25:46 +0100

geos (3.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update upstream metadata for GitHub repo.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Also include .hpp files in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jan 2022 07:19:33 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.1 (= ${binary:Version}),
+Depends: libgeos3.10.2 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.1
+Package: libgeos3.10.2
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 override_dh_install:
 	# add C++ headers to C++ dev package install file
 	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
-	find debian/tmp/usr/include/geos -name "*.h" -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
+	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
 
 	# Don't install geos.h & .inl files
 	rm -f debian/tmp/usr/include/geos.h

## geos 3.10.3

=== debian/changelog ===
geos (3.10.3-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2022 08:06:45 +0200

geos (3.10.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Include .inl files in libgeos++-dev.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jun 2022 18:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.2 (= ${binary:Version}),
+Depends: libgeos3.10.3 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.2
+Package: libgeos3.10.3
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,7 @@
 override_dh_install:
 	# add C++ headers to C++ dev package install file
 	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
-	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
-
-	# Don't install geos.h & .inl files
-	rm -f debian/tmp/usr/include/geos.h
-	find debian/tmp/usr/include/geos -name "*.inl" -delete
+	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" -o -name "*.inl" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
 
 	# Remove .asm files
 	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm

## geos 3.11.0

=== debian/changelog ===
geos (3.11.0-2) unstable; urgency=medium

  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add patch to fix FTBFS with Doxygen 1.9.4.
    (closes: #1015862)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2022 18:03:03 +0200

geos (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jul 2022 20:30:53 +0200

geos (3.11.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 05:20:59 +0200

geos (3.11.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Revert web directory exclusion, fixed upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jun 2022 19:45:02 +0200

geos (3.11.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Rename library package for SONAME bump.
  * Don't include .inl files in libgeos++-dev, removed upstream.
  * Update copyright file.
  * Exclude web directory from upstream tree.
  * Update docs for renamed NEWS.md.
  * Update symbols for amd64.
  * Include geos.h in libgeos++-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 06:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.10.3 (= ${binary:Version}),
+Depends: libgeos3.11.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.10.3
+Package: libgeos3.11.0
 Architecture: any
 Multi-Arch: same
 Section: libs

## geos 3.11.1

=== tests/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################
add_subdirectory(unit)
add_subdirectory(xmltester)
add_subdirectory(bigtest)

=== benchmarks/geom/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2021 Daniel Baston
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

IF(benchmark_FOUND)
    add_executable(perf_envelope
            EnvelopePerfTest.cpp
            ${PROJECT_SOURCE_DIR}/src/geom/Envelope.cpp)
    target_include_directories(perf_envelope PUBLIC
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
    target_link_libraries(perf_envelope PRIVATE
            benchmark::benchmark geos_cxx_flags)
endif()

=== tests/bigtest/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

add_executable(test_big_sweep_line_speed
    TestSweepLineSpeed.cpp
    GeometryTestFactory.cpp)
target_link_libraries(test_big_sweep_line_speed PRIVATE geos)

=== tests/xmltester/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
# Copyright (C) 2019 Daniel Baston <dbaston@gmail.com>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

add_executable(test_simplewkttester SimpleWKTTester.cpp)
target_link_libraries(test_simplewkttester PRIVATE geos)

# Setup tinyxml as a separate library so we can avoid picking up GEOS compile flags
add_library(tinyxml2 STATIC
        tinyxml2/tinyxml2.h
        tinyxml2/tinyxml2.cpp)
target_compile_options(
        tinyxml2 PRIVATE
        $<$<CXX_COMPILER_ID:GNU>:-Wno-conversion>
        $<$<CXX_COMPILER_ID:Clang>:-Wno-conversion>
)

add_executable(test_xmltester
    XMLTester.cpp
    BufferResultMatcher.cpp
    SingleSidedBufferResultMatcher.cpp)
target_link_libraries(test_xmltester PRIVATE geos tinyxml2)
target_include_directories(test_xmltester
  SYSTEM PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>/tinyxml2)

# Scan the directories of XML tests and create a test for each.
foreach(_testdir general issue misc robust validate)
    file(GLOB_RECURSE _testfiles
        ${CMAKE_CURRENT_LIST_DIR}/tests/${_testdir}/*.xml
        CONFIGURE_DEPEND)
    foreach(_testfile ${_testfiles})
        get_filename_component(_testname ${_testfile} NAME_WE)
        add_test(NAME ${_testdir}-${_testname}
            COMMAND test_xmltester -v --test-valid-output ${_testfile})
        list(APPEND _xmltests ${_testfile})
    endforeach()
endforeach()

# Run all the XML tests in one go, for faster memory checking
# under valgrind. Restrict to one configuration so it is only
# run with 'ctest -C Valgrind'
add_test(NAME all-xml-tests
    COMMAND test_xmltester -v --test-valid-output ${_xmltests}
    CONFIGURATIONS Valgrind
    )
unset(_xmltests)

# Disable tests that are known to fail on 32-bit systems.
set_tests_properties(issue-issue-geos-837 PROPERTIES DISABLED $<EQUAL:4,${CMAKE_SIZEOF_VOID_P}>)

unset(_testdir)
unset(_testname)
unset(_testfile)
unset(_testfiles)

=== benchmarks/algorithm/locate/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 if (benchmark_FOUND)
     add_executable(perf_indexed_point_in_area_locator IndexedPointInAreaLocatorPerfTest.cpp)
     target_include_directories(perf_indexed_point_in_area_locator PUBLIC
-            $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
-            $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>)
+            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
     target_link_libraries(perf_indexed_point_in_area_locator PRIVATE
             benchmark::benchmark geos)
 endif()

=== debian/changelog ===
geos (3.11.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2022 06:12:17 +0100

geos (3.11.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for SONAME bump.
  * Drop doxygen 1.9.4 patch, fixed upstream.
  * Update copyright file.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2022 05:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.11.0 (= ${binary:Version}),
+Depends: libgeos3.11.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -69,7 +69,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.11.0
+Package: libgeos3.11.1
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 override_dh_install:
 	# add C++ headers to C++ dev package install file
 	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
-	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" -o -name "*.inl" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
+	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install
 
 	# Remove .asm files
 	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm
@@ -54,8 +54,5 @@
 override_dh_installman:
 	dh_installman -plibgeos-dev debian/geos-config.1
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgeos-dbg (<< 3.5.1-4~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
